Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface TableType

All Known Subinterfaces:
  RichPointerType.Table, RichTextType.Table

All Known Implementing Classes:
  RichPointerTypeImpl.TableImpl, RichTextTypeImpl.TableImpl, TableTypeImpl

    public interface TableType

Java content class for tableType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 435)

     <complexType name="tableType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="caption" type="{http://infoml.org/infomlFile}captionType" minOccurs="0"/>
             <element name="tr" type="{http://infoml.org/infomlFile}tableRowType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`CaptionType` | `getCaption()` Gets the value of the caption property.
`java.util.List` | `getTr()` Gets the value of the Tr property.
`void` | `setCaption(CaptionType value)` Sets the value of the caption property.

Method Detail

### getCaption

    CaptionType getCaption()

  Gets the value of the caption property.

  Returns:
    possible object is `CaptionType`

### setCaption

    void setCaption(CaptionType value)

  Sets the value of the caption property.

  Parameters:
    `value` - allowed object is `CaptionType`

### getTr

    java.util.List getTr()

  Gets the value of the Tr property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Tr property.

  For example, to add a new item, do as follows:

          getTr().add(newItem);

  Objects of the following type(s) are allowed in the list `TableRowType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD